Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031710
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorN/A2015-12-15 10:052017-09-21 16:49
ReportercaristuView Statuspublic 
Assigned Tocollazoandy4 
PriorityhighResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision9b2210a5b692
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031710: Review XLS reports to apply cell type when required

DescriptionSince [1] the XLS report content is exported as string in order to ensure that all the data can be seen when opening this kind of reports with Office.

In order to ensure a correct definition of our core XLS reports, they should be reviewed and for example make numeric fields be exported as numbers. This way they can be manipulated directly after opening them with any spreadsheet application.

Currently the General Ledger Report and the Trial Balance are properly configured as explained here[2] and numeric values are seen as numbers in spreadsheet. The rest of XLS reports should be configured in the same way.

Note: with fix [3], BigDecimal values are exported as numbers. The decimal and thousands separators used for that numbers will be those configured in the spreadsheet program (Excel).

[1] https://issues.openbravo.com/view.php?id=31676 [^]
[2] http://wiki.openbravo.com/wiki/How_to_create_a_Report#Configuring_Cell_Type_in_XLS_Reports [^]
[3] https://code.openbravo.com/erp/devel/pi/rev/bfee0e727006 [^]
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0031676 closedcaristu Openbravo ERP Some values are not shown in XLS format after Jasper Library Upgrade using Microsoft Office 2007 
related to defect 0034973 closedcollazoandy4 Localization Pack: Spain In Multidimensional Tax Report, after up gradation (version pr 16Q 2.4) nos(debit/credit) are coming as text instead of no 
has duplicate defect 0033832 closedTriage Finance Openbravo ERP Numeric Values in Reports are Text not numeric in Excel 
related to defect 0032954 closedAtulOpenbravo Openbravo ERP Payment Report in Excel format is not setting "," (comma) as decimal separator, although it is defined in Format.xml file 
related to feature request 0033743 newplatform Openbravo ERP Numeric Values in Reports are Text, not numeric in Excel 
related to defect 0035304 closedmcobas Openbravo ERP Sales and purchase dimensional reports : after up gradation (version pr 16Q 2.4) nos(debit/credit) are coming as text instead of 
related to defect 0036404 closedcollazoandy4 Openbravo ERP Numbers in Receivables Aging Schedule and Payables Aging Schedule are exported to Excel as strings 
related to defect 0037626 closedcollazoandy4 Openbravo ERP Numbers in Valued Stock Report are exported to Excel as strings 

-  Notes
(0098233)
collazoandy4 (developer)
2017-07-26 23:23
edited on: 2017-08-03 05:33

Test Plan I Journal Entries Report
  As F&B International Group Admin role
    Go to Journal Entries Report and launch the Excel format and check the number fields are exported as number

Test Plan II Shipments Dimensional Report
  As F&B International Group Admin role
    Go to Shipments Dimensional Report and set From Date: 26-07-2015, To Date: Today, Dimensions: Product
      Launch the Excel format and check the number fields are exported as number
      Add al dimensions to the filter and launch (once more) the Excel format and check the number fields are exported as number

Test Plan III Stock Report
  As F&B International Group Admin role
    Go to Stock Report and launch the Excel format and check the number fields are exported as number


Test Plan IV Purchase Invoice Dimensional Report
  As F&B International Group Admin role
    Go to Purchase Invoice Dimensional Report window and fill information as follow:
      From Date: 01-08-2015
      To Date: Today
      Dimmensions: Product
      Launch the Excel format and check the number fields are exported as number

Test Plan V Sales Invoice Dimensional Report
  As F&B International Group Admin role
    Go to Sales Invoice Dimensional Report window and fill information as follow:
      From Date: 01-08-2015
      To Date: Today
      Organization: F&B EspaƱa, S.A
      Dimmensions: Product
      Launch the Excel format and check the number fields are exported as number

Test Plan VI Customer Statement Report
  As F&B International Group Admin role
    Go to Customer Statement Report window and fill information as follow:
      Business Partner: Alimentos y Supermercados, S.A
      Launch the Excel format and check the number fields are exported as number

(0098387)
hgbot (developer)
2017-08-04 10:09

Repository: erp/devel/pi
Changeset: 9b2210a5b6924fae9f8703601d6d99683fd9c2ff
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Wed Jul 26 17:24:11 2017 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/9b2210a5b6924fae9f8703601d6d99683fd9c2ff [^]

Fixes issue 31710: Review XLS reports to apply cell type when required

The Journal Entries, Shipments Dimensional, Stock, Purchase Invoice Dimensional,
Sales Invoice Dimensional, and Customer Statement Reports was modified in order
to ensure that all numeric fields can be exported as numeric

The fields defined in jasper report contains a format method call causing the
cell value be of string type

All the format calls was removed and the field now specified the cell value type
and the output format by the jasper patternExpression specification.

---
M src/org/openbravo/erpCommon/ad_reports/CustomerStatement.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournalExcel.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesXLS.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceVendorDimensionalAnalysesXLS.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportWarehousePartnerJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/WeightDimensionalComparative.jrxml
M src/org/openbravo/erpCommon/ad_reports/WeightDimensionalNoComparative.jrxml
---
(0098434)
hgbot (developer)
2017-08-08 15:07

Repository: erp/devel/pi
Changeset: a686f7a45fa5eda3c023a08000b8fb74acc0ee5b
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Fri Aug 04 11:34:16 2017 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/a686f7a45fa5eda3c023a08000b8fb74acc0ee5b [^]

Related to issue 31710: Fix Sales Invoice Dimensional & Shipment Dimensional reports

The Sales Invoice Dimensional Report document type total was exported as String. A int conversion was added to doctypecount.

The Shipments Dimensional Report totals missed the patternExpression. It was added to properly format the amount.

---
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalyses_srpt_doctypecount.jrxml
M src/org/openbravo/erpCommon/ad_reports/WeightDimensionalNoComparative.jrxml
---
(0098435)
aferraz (developer)
2017-08-08 15:08

Code review + Testing OK
(0099298)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099300)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-12-15 10:05 caristu New Issue
2015-12-15 10:05 caristu Assigned To => Triage Finance
2015-12-15 10:05 caristu Modules => Core
2015-12-15 10:05 caristu Triggers an Emergency Pack => No
2015-12-15 10:06 caristu Relationship added related to 0031676
2016-05-25 09:56 caristu Description Updated View Revisions
2016-05-25 10:28 aferraz Relationship added related to 0032954
2016-08-23 08:33 caristu Relationship added blocks 0033743
2016-08-24 08:17 caristu Relationship deleted blocks 0033743
2016-08-24 08:17 caristu Relationship added related to 0033743
2016-08-29 12:54 aferraz Relationship added has duplicate 0033832
2017-01-17 07:32 pradeepvarma Relationship added related to 0034973
2017-01-23 13:04 pradeepvarma Issue Monitored: pradeepvarma
2017-02-20 10:04 pradeepvarma Relationship added related to 0035304
2017-07-04 17:20 ngarcia Relationship added related to 0036404
2017-07-26 16:04 collazoandy4 Assigned To Triage Finance => collazoandy4
2017-07-26 16:04 collazoandy4 Status new => scheduled
2017-07-26 23:23 collazoandy4 Note Added: 0098233
2017-08-01 16:46 collazoandy4 Note Edited: 0098233 View Revisions
2017-08-03 05:33 collazoandy4 Note Edited: 0098233 View Revisions
2017-08-04 10:09 hgbot Checkin
2017-08-04 10:09 hgbot Note Added: 0098387
2017-08-04 10:09 hgbot Status scheduled => resolved
2017-08-04 10:09 hgbot Resolution open => fixed
2017-08-04 10:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9b2210a5b6924fae9f8703601d6d99683fd9c2ff [^]
2017-08-08 15:07 hgbot Checkin
2017-08-08 15:07 hgbot Note Added: 0098434
2017-08-08 15:08 aferraz Review Assigned To => aferraz
2017-08-08 15:08 aferraz Note Added: 0098435
2017-08-08 15:08 aferraz Status resolved => closed
2017-08-08 15:08 aferraz Fixed in Version => 3.0PR17Q4
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099298
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099300
2018-01-12 11:11 gorkaion Relationship added related to 0037626


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker